%define _name c-icap

Name: %_name-skf
Version: 030606rc1
Release: alt0.M40.2

Summary: ICAP server: SKF edition
License: GPL
Group: System/Servers
Url: http://update.skf.edu.ru/unix/FreeBSD-6.2
Conflicts: %_name

Source0: %_name-%version.tar.gz
Source1: %_name.init
Source2: skf.tar.gz
Patch0: %name.patch

# Automatically added by buildreq on Wed Dec 12 2007
BuildRequires: gcc-c++ libclamav-devel libmemcache-devel sqlite-devel zlib-devel

Requires(pre): shadow-utils
Requires(post): %post_service
Requires(preun): %preun_service

%description
Implementation of an Internet Content Adaptation Protocol (ICAP) server.
This package contains SKF version of c-icap, for details see
http://update.skf.edu.ru/unix/FreeBSD-6.2/ports/www/c-icap-filter/files/README

%package devel
Summary: ICAP development files
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers and libraries for an Internet Content Adaptation Protocol (ICAP)
server implementation.

%prep
%setup -q -n %_name-%version
%setup -a2 -n %_name-%version
%patch0 -p1

chmod 644 contrib/*

%build
%configure
%make_build

%install
%makeinstall

install -pD -m755 %SOURCE1 %buildroot%_initdir/%_name
mkdir -p %buildroot%_sbindir
mv %buildroot%_bindir/%_name %buildroot%_sbindir/%_name

mkdir -p %buildroot%_logdir/%_name
touch %buildroot%_logdir/%_name/{server,access}.log

mkdir -p %buildroot%_var/run/%_name

%pre
/usr/sbin/groupadd -r -f _c_icap ||:
/usr/sbin/useradd -M -n -g _c_icap -r -d /dev/null -s /dev/null \
	-c "system user for %_name" _c_icap >/dev/null 2>&1 ||:

%post
%post_service %_name

%preun
%preun_service %_name

%files
%doc AUTHORS README INSTALL.txt TODO contrib/get_file.pl skf
%config(noreplace) %_sysconfdir/%_name.conf
%config(noreplace) %_sysconfdir/%_name.magic
%attr (755,root,root) %_initdir/%_name
%_bindir/*
%attr (755,root,root) %_sbindir/%_name
%dir %_libdir/%_name/
%_libdir/%_name/*.so
%_libdir/libicapapi.so.*
%dir %attr (750,_c_icap,root) %_logdir/%_name/
%ghost %_logdir/%_name/*.log
%dir %attr (750,_c_icap,root) %_var/run/%_name/

%files devel
%_includedir/%_name
%_libdir/libicapapi.so

%changelog
* Sun Mar 23 2008 Sergey Y. Afonin <asy@altlinux.ru> 030606rc1-alt0.M40.2
- Rebuilt for Branch 4.0 due to libclamav.so.2 -> libclamav.so.3 soname change.

* Mon Feb  4 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 030606rc1-alt2
- added missing pre/post reqs

* Fri Dec 14 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 030606rc1-alt1
- SKF version first quick-and-dirty build

* Mon Oct 29 2007 ALT QA Team Robot <qa-robot@altlinux.org> 20060603-alt1.0.1
- Rebuilt due to libclamav.so.2 -> libclamav.so.3 soname change.

* Thu Mar 22 2007 ALT QA Team Robot <qa-robot@altlinux.org> 20060603-alt1.0
- Rebuilt with libclamav.so.2.

* Wed Jan 17 2007 Grigory Batalov <bga@altlinux.ru> 20060603-alt1
- Initial ALTLinux release.
